Tryton - Issues

 

Issue7295

Title SEPA Messages could be stored on the filesystem
Priority feature Status resolved
Superseder Nosy List ced, nicoe, pokoli, reviewbot, roundup-bot, semarie
Type behavior Components account_payment_sepa
Assigned To nicoe Keywords review
Reviews 44851002
View: 44851002

Created on 2018-03-29.21:17:15 by nicoe, last changed by ced.

Files
File name Uploaded Type Edit Remove
create_sepa_message_files.py nicoe, 2018-03-29.21:20:28 text/plain
message_text2bytea.sql nicoe, 2018-03-29.21:19:52 application/sql
Messages
msg50599 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-09.23:46:56
Done: https://discuss.tryton.org/t/migration-from-5-2-to-5-4/1547
msg50539 (view) Author: [hidden] (semarie) Date: 2019-07-08.14:08:32
Please add a note to "5.2 to 5.4" migration page on discuss.t.o.

trytond-admin complains:
... WARNING trytond.backend.postgresql.table Unable to migrate column message on table account_payment_sepa_message from text to bytea.
New changeset cd2d03dc9f16 by Nicolas ?vrard in branch 'default':
Allow to store SEPA Message content on the file system
https://hg.tryton.org/tryton-env/rev/cd2d03dc9f16
New changeset 5f2768b2e708 by Nicolas ?vrard in branch 'default':
Allow to store SEPA Message content on the file system
https://hg.tryton.org/trytond/rev/5f2768b2e708
New changeset fc73931325a8 by Nicolas ?vrard in branch 'default':
Allow to store SEPA Message content on the file system
https://hg.tryton.org/modules/account_payment_sepa/rev/fc73931325a8
review44851002 updated at https://codereview.tryton.org/44851002/#ps40001
review44851002 updated at https://codereview.tryton.org/44851002/#ps20001
msg39578 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-30.20:49:37
The SQL query could be simplified like this:

    ALTER TABLE account_payment_sepa_message ALTER COLUMN message TYPE BYTEA USING message::BYTEA
review44851002 updated at https://codereview.tryton.org/44851002/#ps1
msg39556 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2018-03-29.21:20:28
And here's a python script to move the data from the database to the file system
msg39555 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2018-03-29.21:19:52
Here is the review and a SQL script to handle the migration from Text to Binary.
msg39554 (view) Author: [hidden] (nicoe) (Tryton committer) Date: 2018-03-29.21:17:15
The account_payment_sepa has been developed before we had the possibility to store the Binary fields on the filesystem. So it would be a nice addition if Tryton was able to store those data on the filesystem.
History
Date User Action Args
2019-07-09 23:46:56cedsetstatus: chatting -> resolved
messages: + msg50599
2019-07-08 14:08:33semariesetstatus: resolved -> chatting
nosy: + semarie
messages: + msg50539
2019-06-05 18:32:27roundup-botsetmessages: + msg50091
2019-06-05 18:32:23roundup-botsetmessages: + msg50090
2019-06-05 18:32:18roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg50089
2018-05-23 18:49:29reviewbotsetmessages: + msg40972
2018-04-03 12:57:22reviewbotsetmessages: + msg39660
2018-04-03 10:15:53pokolisetnosy: + pokoli
2018-03-30 20:49:37cedsetnosy: + ced
messages: + msg39578
2018-03-29 21:37:06reviewbotsetnosy: + reviewbot
messages: + msg39557

Showing 10 items. Show all history (warning: this could be VERY long)